Page MenuHomePhabricator

Add i18n related extensions to mediawiki-extensions-(php55|php70|hhvm)
Open, NormalPublic

Description

Per https://lists.wikimedia.org/pipermail/wikitech-l/2015-January/080098.html , add i18n related extensions to the shared MediaWiki extensions tests job



jenkins-bot (Code Review), 15/01/2015 17:10:

Experimental build succeeded.

jenkins-bot (Code Review), 15/01/2015 17:09:

Experimental build succeeded.

jenkins-bot (Code Review), 15/01/2015 17:08:

Experimental build succeeded.

jenkins-bot (Code Review), 03/02/2015 18:48:> Experimental build succeeded.

Event Timeline

Nemo_bis created this task.Jan 15 2015, 4:26 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 4:26 PM
hashar added a subscriber: hashar.

Thanks @Nemo_bis This can be done by proposing a change to the integration/config.git specially:

  • add the new extensions to the mediawiki-extensions-{phpflavor} job
  • add branch filters to prevent the old jobs from running on the new branch
  • add the shared job to the extensions

A full example adding five extensions is: https://gerrit.wikimedia.org/r/#/c/185167/

I would love to have all the extensions of the MediaWiki Language Bundle to be included as well.

I would love to have all the extensions of the MediaWiki Language Bundle to be included as well.

Yes. I started with these because Translate depends on ULS, so I can't use "check experimental" to verify they'd work together (although it's expected they do).

hashar claimed this task.Feb 3 2015, 12:28 PM
gerritbot added a subscriber: gerritbot.

Change 188352 had a related patch set uploaded (by Hashar):
Add three i18n extensions to the shared mw job

https://gerrit.wikimedia.org/r/188352

Patch-For-Review

hashar renamed this task from Add Babel, cldr and UniversalLanguageSelector extensions to mediawiki-phpunit-(zend|hhvm) to Add i18n team extensions to mediawiki-phpunit-(zend|hhvm).Feb 3 2015, 12:37 PM
hashar updated the task description. (Show Details)
hashar set Security to None.

Change 188352 merged by jenkins-bot:
Add three i18n extensions to the shared mw job

https://gerrit.wikimedia.org/r/188352

I have deployed the above change. Babel pass ( https://gerrit.wikimedia.org/r/#/c/184031/ ) as well as cldr ( https://gerrit.wikimedia.org/r/#/c/184040/ ) :-]

Feel free to edit this task description and comment it to add more i18n related extensions to the shared job. https://gerrit.wikimedia.org/r/188352 is a good template to add them to integration/config.git.

Nemo_bis updated the task description. (Show Details)Feb 3 2015, 6:08 PM
hashar triaged this task as Normal priority.

Change 188518 had a related patch set uploaded (by Hashar):
Add Translate to the shared mw job

https://gerrit.wikimedia.org/r/188518

Patch-For-Review

hashar added a comment.Feb 4 2015, 6:48 AM

Translate pass as well (dummy change https://gerrit.wikimedia.org/r/#/c/77284/ ).

hashar updated the task description. (Show Details)Feb 4 2015, 6:48 AM

Change 188518 merged by jenkins-bot:
Add Translate to the shared mw job

https://gerrit.wikimedia.org/r/188518

hashar closed this task as Resolved.Feb 4 2015, 7:16 AM
Nemo_bis updated the task description. (Show Details)Feb 4 2015, 8:15 AM
hashar updated the task description. (Show Details)Feb 5 2015, 8:48 AM
hashar reopened this task as Open.

Translate causes T88554 and got removed with https://gerrit.wikimedia.org/r/#/c/188735/

Reopening since @Nemo_bis added a few more candidates Interwiki TranslationNotifications WikimediaMessages ContentTranslation.

Nikerabbit renamed this task from Add i18n team extensions to mediawiki-phpunit-(zend|hhvm) to Add i18n related extensions to mediawiki-phpunit-(zend|hhvm).Feb 6 2015, 9:06 AM
Nikerabbit updated the task description. (Show Details)
Legoktm renamed this task from Add i18n related extensions to mediawiki-phpunit-(zend|hhvm) to Add i18n related extensions to mediawiki-extensions-(zend|hhvm).Apr 11 2015, 11:57 PM
Paladox renamed this task from Add i18n related extensions to mediawiki-extensions-(zend|hhvm) to Add i18n related extensions to mediawiki-extensions-(php55|php70||hhvm).Oct 14 2016, 12:00 PM

Change 315941 had a related patch set (by Paladox) published:
Add mw ext Translate to mediawiki-gate

https://gerrit.wikimedia.org/r/315941

Change 315941 merged by jenkins-bot:
Add mw ext Translate to mediawiki-gate

https://gerrit.wikimedia.org/r/315941

Nemo_bis renamed this task from Add i18n related extensions to mediawiki-extensions-(php55|php70||hhvm) to Add i18n related extensions to mediawiki-extensions-(php55|php70|hhvm).Mar 30 2017, 4:02 PM

I think we should try to prioritize ContentTranslation from this list. We have been currently blocked by CI for over a week (T200693 and T201137). And this is far from the first time we are blocked. Anything that helps to discover those issues earlier so that they can be fixed earlier, or rather prevent those issues appearing in the first place would be welcome.

Change 450508 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[integration/config@master] Add mw ext ContentTranslation to gated extensions

https://gerrit.wikimedia.org/r/450508

Change 450508 merged by jenkins-bot:
[integration/config@master] Add ContentTranslation to gated extensions

https://gerrit.wikimedia.org/r/450508